Mesa (master): ci: Add DEQP_EXPECTED_RENDERER support for VK tests.

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Thu May 28 16:43:12 UTC 2020


Module: Mesa
Branch: master
Commit: 33e0821a99fcc9e97ae0ce2065f2ce14df568c31
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=33e0821a99fcc9e97ae0ce2065f2ce14df568c31

Author: Eric Anholt <eric at anholt.net>
Date:   Tue May 26 10:53:05 2020 -0700

ci: Add DEQP_EXPECTED_RENDERER support for VK tests.

I used this to debug what was going on with freedreno VK in CI.

Reviewed-by: Kristian H. Kristensen <hoegsberg at google.com>
Part-of: <https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/5225>

---

 .gitlab-ci/deqp-runner.sh | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

diff --git a/.gitlab-ci/deqp-runner.sh b/.gitlab-ci/deqp-runner.sh
index f40b72a45ed..d6e04939c58 100755
--- a/.gitlab-ci/deqp-runner.sh
+++ b/.gitlab-ci/deqp-runner.sh
@@ -204,7 +204,7 @@ parse_renderer() {
 }
 
 check_renderer() {
-    echo "Capturing renderer info for driver sanity checks"
+    echo "Capturing renderer info for GLES driver sanity checks"
     # If you're having trouble loading your driver, uncommenting this may help
     # debug.
     # export EGL_LOG_LEVEL=debug
@@ -213,6 +213,17 @@ check_renderer() {
     parse_renderer
 }
 
+check_vk_device_name() {
+    echo "Capturing device info for VK driver sanity checks"
+    $DEQP $DEQP_OPTIONS --deqp-case=dEQP-VK.info.device --deqp-log-filename=$RESULTS/deqp-info.qpa
+    DEVICENAME=`grep deviceName $RESULTS/deqp-info.qpa | sed 's|deviceName: ||g'`
+    echo "deviceName: $DEVICENAME"
+    if [ -n "$DEQP_EXPECTED_RENDERER" -a $DEVICENAME != "$DEQP_EXPECTED_RENDERER" ]; then
+        echo "Expected deviceName $DEQP_EXPECTED_RENDERER"
+        exit 1
+    fi
+}
+
 # wrapper to supress +x to avoid spamming the log
 quiet() {
     set +x
@@ -233,7 +244,9 @@ if [ "$GALLIUM_DRIVER" = "virpipe" ]; then
     sleep 1
 fi
 
-if [ $DEQP_VER != vk ]; then
+if [ $DEQP_VER = vk ]; then
+    quiet check_vk_device_name
+else
     quiet check_renderer
 fi
 



More information about the mesa-commit mailing list